aboutsummaryrefslogtreecommitdiff
path: root/gis
diff options
context:
space:
mode:
authorGiancarlo Dessi <slack@giand.it>2023-08-05 10:58:28 +0900
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-08-05 10:08:53 +0700
commitb249093b5af8e7733dc522cbded9a9d998d72bf9 (patch)
tree6fee0321cb03480e43c14a3f475dee121647acb5 /gis
parent6ede0d3a891b8bd238ff0ee9b5291420adfda424 (diff)
downloadslackbuilds-b249093b5af8e7733dc522cbded9a9d998d72bf9.tar.xz
gis/SFCGAL-legacy: Added (C++ wrapper around CGAL).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis')
-rw-r--r--gis/SFCGAL-legacy/README16
-rw-r--r--gis/SFCGAL-legacy/SFCGAL-legacy.SlackBuild134
-rw-r--r--gis/SFCGAL-legacy/SFCGAL-legacy.info10
-rw-r--r--gis/SFCGAL-legacy/slack-desc19
4 files changed, 179 insertions, 0 deletions
diff --git a/gis/SFCGAL-legacy/README b/gis/SFCGAL-legacy/README
new file mode 100644
index 000000000000..b2f3738c1079
--- /dev/null
+++ b/gis/SFCGAL-legacy/README
@@ -0,0 +1,16 @@
+SFCGAL is a C++ wrapper library around CGAL, written with the aim of
+supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
+operations.
+
+OpenSceneGraph is an optional dependency enabled by default if found
+in your system. If you do not need this, pass the environment variable
+to the script:
+ OSG=no ./SFCGAL.SlackBuild
+
+SFCGAL-legacy builds version 1.3.9, the lastest compatible with the
+package CGAL available in this repository. If you keep this version
+of the dependency, you have to install this package.
+
+If you have CGAL5 installed in your system, this package is not
+compatible and you must refer to the slackbuild SFCGAL based on
+greater versions and also available in this repository.
diff --git a/gis/SFCGAL-legacy/SFCGAL-legacy.SlackBuild b/gis/SFCGAL-legacy/SFCGAL-legacy.SlackBuild
new file mode 100644
index 000000000000..565484f41747
--- /dev/null
+++ b/gis/SFCGAL-legacy/SFCGAL-legacy.SlackBuild
@@ -0,0 +1,134 @@
+#!/bin/bash
+
+# SlackBuild script for SFCGAL-legacy
+
+# Copyright 2023 Giancarlo Dessi, Cagliari, IT
+# Copyright 2013-2021 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=SFCGAL-legacy
+VERSION=${VERSION:-1.3.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+SRCNAM=SFCGAL
+
+WITHOSG="";
+if [[ -f /usr/bin/osgviewer ]] ; then
+ WITHOSG="-DSFCGAL_WITH_OSG=ON" ; [ "${OSG:-yes}" = "no" ] && WITHOSG="";
+fi
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# This package depends on versions of GCAL earlier than 5.2
+# The build with greater versions starts fine but it will fail during the
+# compilation so we need to detect if there are any incompatible
+# installations in the system
+if [[ -d /usr/lib${LIBDIRSUFFIX}/cmake/CGAL ]] ; then
+ echo "************************* WARNING **************************";
+ echo " CGAL5 found in your system!";
+ echo " SFCGAL-legacy depends on earlier versions of CGAL.";
+ echo "";
+ echo " Please build this package by using the slackbuild SFCGAL";
+ echo " instead of SFCGAL-legacy ad also available in SBo.";
+ echo " This script will be stopped.";
+ echo "************************************************************";
+ exit 1;
+fi
+
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$SRCNAM-v$VERSION
+cd $TMP
+tar xvf $CWD/$SRCNAM-v$VERSION.tar.gz
+cd $SRCNAM-v$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -DBOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT=1" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -DSFCGAL_BUILD_EXAMPLES=OFF \
+ -DSFCGAL_BUILD_TESTS=OFF \
+ $WITHOSG \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE NEWS README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/gis/SFCGAL-legacy/SFCGAL-legacy.info b/gis/SFCGAL-legacy/SFCGAL-legacy.info
new file mode 100644
index 000000000000..e94d01e0b6dd
--- /dev/null
+++ b/gis/SFCGAL-legacy/SFCGAL-legacy.info
@@ -0,0 +1,10 @@
+PRGNAM="SFCGAL-legacy"
+VERSION="1.3.9"
+HOMEPAGE="https://oslandia.gitlab.io/SFCGAL/"
+DOWNLOAD="https://gitlab.com/Oslandia/SFCGAL/-/archive/v1.3.9/SFCGAL-v1.3.9.tar.gz"
+MD5SUM="99c08d524aff93be0d30a48d821783ae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="CGAL"
+MAINTAINER="Giancarlo Dessi"
+EMAIL="slack@giand.it"
diff --git a/gis/SFCGAL-legacy/slack-desc b/gis/SFCGAL-legacy/slack-desc
new file mode 100644
index 000000000000..30ee9d1baa87
--- /dev/null
+++ b/gis/SFCGAL-legacy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SFCGAL-legacy: SFCGAL-legacy (C++ wrapper around CGAL)
+SFCGAL-legacy:
+SFCGAL-legacy: SFCGAL is a C++ wrapper library around CGAL, written with the aim of
+SFCGAL-legacy: supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
+SFCGAL-legacy: operations.
+SFCGAL-legacy:
+SFCGAL-legacy: This package contains the version 1.3.9, the lastest depending on
+SFCGAL-legacy: old versions of CGAL (earlier than 5)
+SFCGAL-legacy:
+SFCGAL-legacy: homepage: http://www.sfcgal.org
+SFCGAL-legacy: